MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027972Open CASCADE[OCCT] OCCT:Visualizationpublic2016-10-17 16:442016-12-09 16:38
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027972: Visualization - remove unused and not implemented property V3d_View::EnableGLLight()
DescriptionV3d_View::EnableGLLight() has confusing description, not implemented and should be removed.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0058815)
git (administrator)
2016-10-17 17:43

Branch CR27972 has been created by kgv.

SHA-1: 673c2db85f5606407aa4593899be2c38a2f5310e


Detailed log of new commits:

Author: kgv
Date: Mon Oct 17 17:39:30 2016 +0300

    0027972: Visualization - remove unused and not implemented property V3d_View::EnableGLLight()
(0058818)
git (administrator)
2016-10-17 17:51

Branch CR27972 has been updated forcibly by kgv.

SHA-1: e4a03d397e855864fb11d1b9a46c438c2a60b9b6
(0058819)
kgv (developer)
2016-10-17 17:51

Patch is ready for review.
(0058844)
san (developer)
2016-10-18 10:46

Branch CR27972 reviewed without remarks, ready for testing.
(0058901)
apv (tester)
2016-10-19 17:20

Dear BugMaster,

Branch CR27972 from occt git-repository (and CR24291_3 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: e4a03d397e855864fb11d1b9a46c438c2a60b9b6
SHA-1: 3f906a2b958a62f1ea6c7b8a3c483cdfa3a01777

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1162

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
occt component:
Total MEMORY difference: 90224198 / 90568290 [-0.38%]
Total CPU difference: 19366.47999999991 / 19463.759999999937 [-0.50%]
products component:
Total MEMORY difference: 30126639 / 30069397 [+0.19%]
Total CPU difference: 5331.889999999969 / 5271.849999999968 [+1.14%]

Testing on Windows:
occt component:
Total MEMORY difference: 57213043 / 57243619 [-0.05%]
Total CPU difference: 17907.51079099872 / 18100.624428898667 [-1.07%]
products component:
Total MEMORY difference: 21301203 / 21265221 [+0.17%]
Total CPU difference: 5146.86299249996 / 5148.189000999964 [-0.03%]
(0059479)
git (administrator)
2016-10-28 21:42

Branch CR27972 has been deleted by kgv.

SHA-1: e4a03d397e855864fb11d1b9a46c438c2a60b9b6

- Related Changesets
occt: master ebc369da
Timestamp: 2016-10-17 14:39:30
Author: kgv
Committer: apn
Details ] Diff ]
0027972: Visualization - remove unused and not implemented property V3d_View::EnableGLLight()
mod - src/Graphic3d/Graphic3d_CView.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
mod - src/V3d/FILES Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_View.hxx Diff ] File ]
rm - src/V3d/V3d_View_5.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-10-17 16:44 kgv New Issue
2016-10-17 16:44 kgv Assigned To => kgv
2016-10-17 17:43 git Note Added: 0058815
2016-10-17 17:51 git Note Added: 0058818
2016-10-17 17:51 kgv Note Added: 0058819
2016-10-17 17:51 kgv Assigned To kgv => san
2016-10-17 17:51 kgv Status new => resolved
2016-10-18 10:46 san Note Added: 0058844
2016-10-18 10:46 san Assigned To san => bugmaster
2016-10-18 10:46 san Status resolved => reviewed
2016-10-18 11:09 mkv Assigned To bugmaster => mkv
2016-10-18 11:25 mkv Assigned To mkv => apv
2016-10-19 16:37 apv Test case number => Not needed
2016-10-19 17:20 apv Note Added: 0058901
2016-10-19 17:20 apv Assigned To apv => bugmaster
2016-10-19 17:20 apv Status reviewed => tested
2016-10-21 11:25 apn Changeset attached => occt master ebc369da
2016-10-21 11:25 apn Assigned To bugmaster => apn
2016-10-21 11:25 apn Status tested => verified
2016-10-21 11:25 apn Resolution open => fixed
2016-10-28 21:42 git Note Added: 0059479
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker